[PATCH] bootstrap: Add program checks

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Add a check for needed programs, print an error message
if not found.

Signed-off-by: Geoff Levand <geoff@xxxxxxxxxxxxx>
---
 bootstrap | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/bootstrap b/bootstrap
index fc9837d..9457a14 100755
--- a/bootstrap
+++ b/bootstrap
@@ -19,6 +19,20 @@
 ## @start 1
 #! /bin/sh
 
+progs="autoconf automake make"
+
+unset result
+for p in ${progs}; do
+	if ! command -v "${p}" > /dev/null; then
+		echo "Please install ${p}"
+		result=1
+	fi
+done
+
+if [ -n "${result}" ]; then
+	exit 1
+fi
+
 set -x
 aclocal -I config
 autoheader
-- 
2.20.1


_______________________________________________
kexec mailing list
kexec@xxxxxxxxxxxxxxxxxxx
http://lists.infradead.org/mailman/listinfo/kexec



[Index of Archives]     [LM Sensors]     [Linux Sound]     [ALSA Users]     [ALSA Devel]     [Linux Audio Users]     [Linux Media]     [Kernel]     [Gimp]     [Yosemite News]     [Linux Media]

  Powered by Linux